PHP K�sikirja
Edellinen |  | Seuraava

# DOMElement->setAttributeNodeNS()

DOMElement->setAttributeNodeNS() -- Adds new attribute node to element

## Description

class DOMElement {
DOMAttr setAttributeNodeNS ( DOMAttr attr )
}

Adds new attribute node attr to element.

## Parameters

name

  The attribute node.

## Return values

Returns the old node if the attribute has been replaced.

## Exceptions

`DOM_NO_MODIFICATION_ALLOWED_ERR`

  Raised if the node is readonly.

## See Also

DOMElement->hasAttributeNS()
DOMElement->getAttributeNodeNS()
DOMElement->removeAttributeNode()

Edellinen | Alkuun | Seuraava
DOMElement->setAttributeNode() | Ylös | DOMElement->setAttributeNS()